2.1-RELEASE (i386) sucks on my old machine - I need to downgrade